Skip to main content
`Ctrl`+`K`

# numpy.strings.multiply

strings.multiply(a, i)

  Return (a * i), that is string multiple concatenation, element-wise.

  Values in `i` of less than 0 are treated as 0 (which yields an empty string).

  Parameters:
    a array_like, with `StringDType`, `bytes_` or `str_` dtype
    i array_like, with any integer dtype
  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types

  Examples

      >>> import numpy as np
      >>> a = np.array(["a", "b", "c"])
      >>> np.strings.multiply(a, 3)
      array(['aaa', 'bbb', 'ccc'], dtype='<U3')
      >>> i = np.array([1, 2, 3])
      >>> np.strings.multiply(a, i)
      array(['a', 'bb', 'ccc'], dtype='<U3')
      >>> np.strings.multiply(np.array(['a']), i)
      array(['a', 'aa', 'aaa'], dtype='<U3')
      >>> a = np.array(['a', 'b', 'c', 'd', 'e', 'f']).reshape((2, 3))
      >>> np.strings.multiply(a, 3)
      array([['aaa', 'bbb', 'ccc'],
             ['ddd', 'eee', 'fff']], dtype='<U3')
      >>> np.strings.multiply(a, i)
      array([['a', 'bb', 'ccc'],
             ['d', 'ee', 'fff']], dtype='<U3')